Bug 87596 - New tab hide their color when selected
Summary: New tab hide their color when selected
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.1 rc
Hardware: Other All
: medium normal
Assignee: Tomaz Vajngerl
URL:
Whiteboard: target:4.4.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-12-22 15:25 UTC by Laurent BP
Modified: 2014-12-29 09:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen shot comparing LibO 4.3 and LibO 4.4 colorized tabs (24.60 KB, image/png)
2014-12-22 15:25 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-12-22 15:25:57 UTC
Created attachment 111181 [details]
Screen shot comparing LibO 4.3 and LibO 4.4 colorized tabs

Description: New tab disposition is quite interesting for spreadsheet with a large number of sheets and I appreciate it. However, new rectangular shape of tab hides the color of the tab when it is selected.

Steps to reproduce:
1. Create a new spreadsheet
2. Right click on tab name > Tab Color and select color

Observed behavior:
nothing change to the tab name, the tab color is not visible.

Expected behavior:
Border of the tab should indicate the color when tab is selected (like with the previous tab shape).

It is quite annoying with several sheets, when you choose the color according to a certain functionality or a category.

Add a screenshot comparing LibO 4.3 and LibO 4.4 with same file. On LibO 4.3 color of tab is visible at the bottom of the tab.
Comment 1 raal 2014-12-22 18:38:58 UTC
I can confirm with  Version: 4.5.0.0.alpha0+
Build ID: 2116f1cfb31e5fcf829c2f101cd878a32b56c365
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-19_05:59:03
Comment 2 Jacques Guilleron 2014-12-22 20:55:28 UTC
Hi Laurent, raal,

It would be valuable to keep these features.
I reproduce too with LO 4.4.0.1
Build ID: 1ba9640ddd424f1f535c75bf2b86703770b8cf6f
Locale : fr_FR
& Windows 7 Home Premium.

Regards,

Jacques
Comment 3 Adolfo Jayme 2014-12-23 05:57:39 UTC
@Tomaž: please have a look :-)
Comment 4 Commit Notification 2014-12-25 07:58:06 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2a20bf5105181d51aab40bdd4ce8c09615a0e599

fdo#87596 Draw tab fill color when selected on the tab bottom

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Adolfo Jayme 2014-12-25 11:06:24 UTC
Awesome — thanks, Tomaž!
Comment 6 Commit Notification 2014-12-25 11:40:23 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1818af4b72d35f26fbfe12acc894f7bbaa984dba&h=libreoffice-4-4

fdo#87596 Draw tab fill color when selected on the tab bottom

It will be available in 4.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Adolfo Jayme 2014-12-27 13:11:45 UTC
Moving to VERIFIED, now it’s even more visible than before (3-px-wide rather than 2).
Comment 8 Laurent BP 2014-12-29 09:44:10 UTC
Thanks Tomaž! It looks great in Version: 4.4.0.1.0+
Build ID: 4774b2f0e6a0e895d1e63256147eaff59efd0eda
TinderBox: Win-x86@51-TDF, Branch:libreoffice-4-4, Time: 2014-12-28_16:31:35
Locale: fr_FR